﻿/* 1) Reset */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
    background: #FBFBF7;
    font-size: 10px;
}

:root {
    --largeText: 2.4rem;
    --bigText: 2rem;
    --mediumText: 1.6rem;
    --smallText: 1.4rem;
    --extraSmallText: 1.3rem;
    --tinyText: 1.2rem;
    /* Sidebar */
    --kt-sidebar-bg: #0A4A7F;
    --kt-sidebar-fg: rgba(255, 255, 255, 0.88);
    --kt-navPill: rgba(255, 255, 255, 0.88);
    --kt-navPillActive: #ffffff;
    --kt-radius: 0.4rem;
    --kt-menuActive: rgba(95, 184, 217, 0.45);
    --kt-menuHover: rgba(255, 255, 255, 0.08);
    --kt-accent: #5fb8d9;
    /* Forms */
    --primary: #1b6ec2;
    /* Buttons */
    --btn-primary: #3D71C6;
    --btn-primary-hover: #1B50A4;
    --btn-disabled: #C0C4CC;
    --btn-text-disabled: #6B7280;
    --secondaryBtn: #A5D5EC;
    --secondaryBtnHover: #70B5D5;
    --white: #ffffff;
    --black: #000000;
    --secondary: #6c757d;
    --secondaryColor: #495057;
    --secondaryHover: #5a6268;
    --outlineSecondaryText: #6c757d;
    --info: #0dcaf0;
    --darkInfo: #0aa2c0;
    --danger: #dc3545;
    --darkDanger: #bb2d3b;
    --success: #198754;
    --darkSuccess: #157347;
    --darkPrimary: #1B50A4;
    --darkSecondary: #5a6268;
}

p, span, strong {
    font-size: var(--extraSmallText);
}

a, .btn-link {
    color: #006bb7;
}

    .btn:focus, .btn-link.nav-link:focus {
        box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
    }

.form-control:disabled, .form-control[readonly], .form-select:disabled, .form-select[readonly] {
    background-color: #e9ecef !important;
}

.content {
    padding-top: 1.1rem;
}

h1:focus {
    outline: none;
}

h3 {
    font-size: var(--smallText);
}

h4 {
    font-size: var(--extraSmallText);
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.badge{
    font-size: var(--tinyText);
}

.input-group-text {
    font-size: var(--tinyText);
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}

.form-floating > .form-control-plaintext::placeholder, .form-floating > .form-control::placeholder {
    color: var(--bs-secondary-color);
    text-align: end;
}

.form-floating > .form-control-plaintext:focus::placeholder, .form-floating > .form-control:focus::placeholder {
    text-align: start;
}

/* Sidebar navigation styles - override Bootstrap */
.sidebar .nav-link,
.sidebar .nav-link:link,
.sidebar .nav-link:visited {
    color: #ffffff !important;
}

    .sidebar .nav-link:hover,
    .sidebar .nav-link:focus,
    .sidebar .nav-link:active,
    .sidebar .nav-link.active {
        color: #ffffff !important;
    }

.sidebar .nav-submenu-header {
    color: #ffffff !important;
}

.sidebar .navbar-brand {
    color: #ffffff !important;
}

.sidebar i.bi {
    color: #ffffff !important;
}
/* Form controls */
.form-check-input, .form-select, .form-control {
    border-radius: 8px;
    border: 1px solid var(--primary);
    font-size: var(--extraSmallText) !important;
}

.form-check {
    display: block;
    min-height: 2rem;
    padding-left: 3.5rem;
}

.form-floating > label {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 2;
    width: 100%;
    height: 100%;
    overflow: hidden;
    text-align: start;
    text-overflow: ellipsis;
    white-space: nowrap;
    pointer-events: none;
    transform-origin: 0 0;
    transition: opacity .1s ease-in-out, transform .1s ease-in-out;
    font-size: var(--extraSmallText);
    color: var(--bs-secondary-color);
    padding: 0.9rem 0.75rem;
}

.form-floating > .form-control, .form-floating > .form-control-plaintext, .form-floating > .form-select {
    height: calc(3.9rem + calc(var(--bs-border-width) * 2));
    min-height: calc(3.9rem + calc(var(--bs-border-width) * 2));
    line-height: 1.2;
}

.form-floating > .form-control,
.form-floating > .form-select {
    padding-top: 1.8rem;
    padding-bottom: 0.4rem;
}

    .form-floating > .form-select ~ label,
    .form-floating > .form-control:focus ~ label,
    .form-floating > .form-control:not(:placeholder-shown) ~ label,
    .form-floating > .form-control-plaintext ~ label {
        transform: scale(0.8) translateY(-0.7rem) translateX(0.15rem);
        opacity: 0.65;
    }

.form-control, .form-select {
    width: 100%;
    border-radius: 8px;
}

    .form-control:focus,
    .form-control:active,
    .form-select:focus,
    .form-check-input:focus {
        border: 1px solid var(--primary);
        box-shadow: 0 0 0 0rem white, 0 0 0 0.1rem var(--primary);
    }

    .form-control:disabled,
    .form-control[readonly],
    .form-select:disabled,
    .form-select[readonly] {
        background-color: var(--btn-disabled);
        border-color: var(--btn-disabled);
        color: var(--btn-text-disabled);
        cursor: auto;
    }

.bb-grid-pagination-text {
    font-size: var(--smallText);
}
/* BlazorBootstrap Grid - responsive pagination */
div:has(> [aria-label="Pagination links"]) {
    flex-wrap: wrap !important;
    gap: 3rem;
    justify-content: center !important;
}

.active > .page-link, .page-link.active {
    z-index: 3;
    color: var(--bs-pagination-active-color);
    background-color: var(--primary);
    border-color: var(--primary);
}

.page-link {
    font-size: var(--extraSmallText) !important;
}
/* Buttons */
.btn {
    border-radius: 8px;
    font-size: var(--extraSmallText);
}

.btn-xl {
    --bs-btn-padding-y: 1rem;
    --bs-btn-padding-x: 3rem;
    --bs-btn-font-size: var(--extraSmallText) !important;
}

.btn-lg {
    --bs-btn-padding-y: 0.75rem;
    --bs-btn-padding-x: 2rem;
    --bs-btn-font-size: var(--extraSmallText) !important;
}

.btn-md {
    --bs-btn-padding-y: 0.5rem;
    --bs-btn-padding-x: 1rem;
    --bs-btn-font-size: var(--extraSmallText) !important;
}

.btn-sm {
    --bs-btn-padding-y: 0.15rem !important;
    --bs-btn-padding-x: 0.60rem !important;
    --bs-btn-font-size: var(--tinyText) !important;
}

.nav-link {
    font-size: var(--smallText);
}

.btn-primary {
    color: var(--white);
    background-color: var(--btn-primary);
    border-color: var(--btn-primary);
    font-weight: 700;
    transition: .3s;
}

    .btn-primary:hover {
        color: var(--white);
        background-color: var(--btn-primary-hover);
        border-color: var(--btn-primary-hover);
    }

    .btn-primary:focus,
    .btn-primary:active,
    .btn-primary.active,
    .btn-primary:focus:active {
        color: var(--white);
        background-color: var(--btn-primary-hover);
        border-color: var(--btn-primary-hover);
        box-shadow: 0 0 0 0.2rem var(--btn-primary);
    }

.btn-secondary {
    color: var(--secondaryColor);
    background-color: var(--secondaryBtn);
    border-color: var(--secondaryBtn);
    font-weight: 700;
    transition: .3s;
}

    .btn-secondary:hover {
        color: var(--black);
        background-color: var(--secondaryBtnHover);
        border-color: var(--secondaryBtnHover);
    }

    .btn-secondary:focus,
    .btn-secondary:active,
    .btn-secondary.active,
    .btn-secondary:focus:active {
        color: var(--white);
        background-color: var(--secondaryBtnHover);
        border-color: var(--secondaryBtnHover);
        box-shadow: 0 0 0 0.2rem var(--secondaryBtn);
    }

.btn-outline-primary {
    border-color: var(--primary) !important;
    color: var(--primary) !important;
    font-weight: 700;
    transition: .3s;
    padding: 5px;
}

    .btn-outline-primary:hover,
    .btn-outline-primary:active {
        background-color: var(--primary) !important;
        border-color: var(--darkPrimary) !important;
        color: var(--white) !important;
    }

.btn-outline-info {
    border-color: var(--info) !important;
    color: var(--info) !important;
    font-weight: 700;
    transition: .3s;
}

    .btn-outline-info:hover,
    .btn-outline-info:active {
        background-color: var(--info) !important;
        border-color: var(--darkInfo) !important;
        color: var(--white) !important;
    }

.btn-outline-danger {
    border-color: var(--danger) !important;
    color: var(--danger) !important;
    font-weight: 700;
    transition: .3s;
}

    .btn-outline-danger:active,
    .btn-outline-danger:hover {
        background-color: var(--danger) !important;
        border-color: var(--darkDanger) !important;
        color: var(--white) !important;
    }

.btn-outline-success {
    border-color: var(--success) !important;
    color: var(--success) !important;
    font-weight: 700;
    transition: .3s;
}

    .btn-outline-success:hover,
    .btn-outline-success:active {
        background-color: var(--success) !important;
        border-color: var(--darkSuccess) !important;
        color: var(--white) !important;
    }

.btn-outline-secondary {
    background-color: transparent !important;
    border-color: var(--secondary) !important;
    color: var(--outlineSecondaryText) !important;
    font-weight: 700;
    transition: .3s;
}

    .btn-outline-secondary:hover,
    .btn-outline-secondary:active {
        background-color: var(--secondary) !important;
        border-color: var(--darkSecondary) !important;
        color: var(--white) !important;
    }

    .btn-outline-secondary:focus,
    .btn-outline-secondary:focus:active {
        background-color: var(--secondary) !important;
        border-color: var(--darkSecondary) !important;
        color: var(--white) !important;
    }

.btn:disabled {
    background-color: var(--btn-disabled) !important;
    border-color: var(--btn-disabled) !important;
    color: var(--btn-text-disabled) !important;
    opacity: 0.65;
    cursor: not-allowed;
}

.bg-primary {
    background-color: var(--btn-primary) !important;
}

.form-floating > .form-select ~ label, .form-floating > .form-control:focus ~ label, .form-floating > .form-control:not(:placeholder-shown) ~ label, .form-floating > .form-control-plaintext ~ label {
    transform: scale(0.82) translateY(-0.7rem) translateX(0.15rem) !important;
    opacity: 0.75;
}

.dropdown-item {
    font-size: var(--tinyText);
}
